jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bart van der Schans <b.vandersch...@onehippo.com>
Subject Re: Build failed in Jenkins: Jackrabbit-2.2 #93
Date Tue, 30 Oct 2012 15:51:09 GMT
On Tue, Oct 30, 2012 at 4:47 PM, Bart van der Schans
<b.vanderschans@onehippo.com> wrote:
> On Tue, Oct 30, 2012 at 2:37 PM, Julian Reschke <julian.reschke@gmx.de> wrote:
>> On 2012-10-29 21:14, Apache Jenkins Server wrote:
>>>
>>> See <https://builds.apache.org/job/Jackrabbit-2.2/93/changes>
>>>
>>> Changes:
>>>
>>> [reschke] JCR-3439: let PrincipalManagerImpl.CheckedGroup implement
>>> JackrabbitPrincipal (also improve equals() method) (ported to 2.2)
>>> ...
>>
>>
>> FWIW, the Jenkins build was failing before, and it works correctly on both
>> my dev machines; does anybody know what's wrong with the Jenkins build?
>
> It's a java 1.5 versus java 6 issue. It builds fine for me with java 6
> but fails with the same error with 1.5.

Looks like the @override annotation is used for and implementation of
an interface which is not allowed in 1.5 [1,2].

Bart

[1] https://blogs.oracle.com/ahe/entry/override_snafu
[2] http://dertompson.com/2008/01/25/override-specification-changes-in-java-6/

Mime
View raw message